Canvases
Save canvas
Save the current canvas state as a working draft. This creates a snapshot that can be reverted to later.
curl -X POST "https://api.mythic-analytics.com/api/v1/canvases/example_string/save" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"nodes": [
{}
],
"edges": [
{}
]
}'
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/canvases/example_string/save"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"nodes": [
{}
],
"edges": [
{}
]
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/canvases/example_string/save", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"nodes": [
{}
],
"edges": [
{}
]
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"nodes": [
{}
],
"edges": [
{}
]
}`)
req, err := http.NewRequest("POST", "https://api.mythic-analytics.com/api/v1/canvases/example_string/save", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/canvases/example_string/save')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"nodes": [
{}
],
"edges": [
{}
]
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"id": "cvs_5kN2mPqR",
"name": "User Journey Flow",
"description": "example_string",
"status": "draft",
"settings": {},
"current_version": "ver_2nK8mPqR",
"created_at": "2024-04-20T08:00:00.000Z",
"updated_at": "2024-06-12T14:20:00.000Z"
}
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
POST
/canvases/{id}/savePOST
Security Scheme
Bearer Tokenstring
RequiredAdmin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Admin API key as bearer token. Format:
Bearer YOUR_ADMIN_KEYpath
idstring
RequiredCanvas identifier.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
nodesarray
RequiredArray of canvas node objects.
edgesarray
RequiredArray of canvas edge objects.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Path Parameters
idstring
RequiredCanvas identifier.
Body
application/json
nodesarray
RequiredArray of canvas node objects.
edgesarray
RequiredArray of canvas edge objects.
Responses
successboolean
dataobject
Was this page helpful?
Built with Documentation.AI
Last updated today